summaryrefslogtreecommitdiffstats
path: root/source/x/wqy-zenhei-font-ttf
diff options
context:
space:
mode:
Diffstat (limited to 'source/x/wqy-zenhei-font-ttf')
-rw-r--r--source/x/wqy-zenhei-font-ttf/fixup-fontconfig-file.diff21
-rwxr-xr-xsource/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild8
2 files changed, 28 insertions, 1 deletions
diff --git a/source/x/wqy-zenhei-font-ttf/fixup-fontconfig-file.diff b/source/x/wqy-zenhei-font-ttf/fixup-fontconfig-file.diff
new file mode 100644
index 000000000..6d8fa176f
--- /dev/null
+++ b/source/x/wqy-zenhei-font-ttf/fixup-fontconfig-file.diff
@@ -0,0 +1,21 @@
+Since this fontconfig change [1], we get warnings in 44-wqy-zenhei.conf
+like this: "Having multiple values in <test> isn't supported and may
+not work as expected" - let's fix that...
+
+[1] http://cgit.freedesktop.org/fontconfig/commit/?id=2837c63876b9b
+
+diff -Nur wqy-zenhei.orig/44-wqy-zenhei.conf wqy-zenhei/44-wqy-zenhei.conf
+--- wqy-zenhei.orig/44-wqy-zenhei.conf 2009-05-17 15:25:41.000000000 -0500
++++ wqy-zenhei/44-wqy-zenhei.conf 2013-02-25 19:00:36.870491434 -0600
+@@ -6,7 +6,11 @@
+ <match target="font">
+ <test qual="any" name="family">
+ <string>WenQuanYi Zen Hei</string>
++ </test>
++ <test qual="any" name="family">
+ <string>文泉驿正黑</string>
++ </test>
++ <test qual="any" name="family">
+ <string>文泉驛正黑</string>
+ </test>
+ <edit name="globaladvance"><bool>false</bool></edit>
diff --git a/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild b/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
index b9fb149da..ee34726bb 100755
--- a/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
+++ b/source/x/wqy-zenhei-font-ttf/wqy-zenhei-font-ttf.SlackBuild
@@ -38,7 +38,7 @@ SRCNAM=wqy-zenhei
VERSION=${VERSION:-0.8.38}
SUB=${SUB:-1}
ARCH=noarch
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
CWD=$(pwd)
TMP=${TMP:-/tmp}
@@ -66,6 +66,9 @@ rm -rf ${PRGNAM}-${VERSION}
tar -xvf ${SOURCE} || exit 1
mv ${SRCNAM} ${PRGNAM}-${VERSION} || exit 1
cd ${PRGNAM}-${VERSION}
+
+zcat $CWD/fixup-fontconfig-file.diff.gz | patch -p1 || exit 1
+
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -73,6 +76,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# The following causes an error since the package no longer contains any ttf
+# fonts, but it is harmless. It's probably safer to leave the cp command the
+# way it is in case future versions include any ttf fonts.
# Install font:
cp *.ttf *.ttc $PKG$FONTDIR/